---
layout: project

title: Tetrapod
shorttitle: Tetrapod
teaser: All four dimensions of Mathematical Knowledge Processing

active: true
start_date: '2011-12'
publink: auto

people:
    - mkohlhase
    - dmueller
    - frabe
    - kbercic

collaborators:
    - Prof. William Farmer (McMaster Univ.)
    - Prof. Jacques Carette (McMaster Univ.) 
    - Jasmine Sharoda (McMaster Univ.)

logo: public/kwarc_logo.svg
funding: internal
---

The aim of the Tetrapod project is to produce tools for **trustworthy and efficient
  modeling** of problems involving mathematics as well as tools for doing **mathematical
  knowledge processing**.

The main result of the project is the conception of a "doing math" involves four primary aspects

* **computation** (which produces **information**),
* **reasoning** (which produces **arguments**),
* **tabulation** (which produces **data**),
* **narration** (which produces **documents**),

that are joined by a fifth, which binds them together: 

* **organisation** (which produces **ontologies**).

All in all we propose that these five aspects can be arranged in a tetrapodal structure

<img alt="the tetrapod image for the five aspects of doing mathematics" src="tetrapod-arms.svg"/>

Feel free to include this image into your paper via the [tikz sources provided here](tetrapod-arms.tex)
